MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0023007Open CASCADE[OCCT] OCCT:DRAWpublic2012-03-01 18:332014-03-05 10:44
Reporterszy 
Assigned Toszy 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformWindowsOSVC++ 2008OS Version32 bit
Product Version[OCCT] 6.5.2 
Target Version[OCCT] 6.7.1Fixed in Version[OCCT] 6.7.1 
Summary0023007: Wrong work of AIS dimension Draw commands
DescriptionSeveral AIS dimension Draw command works incorrectly.
1)Angle dimensions.
<vangledim > produce incorrect presentation (see the attached picture pic1.png)
It was requested angle between two top edges. The result looks strange.

2) Moving dimensions - <vmovedim >.
Dimensions are not moving and don't follow the mouse position.
Steps To Reproducepload ALL
box b 100 150 120
explode b F
vdisplay b_1 b_3

# 1)case_1 (angledim):
vangledim dim1
#select the first top edge from face 1
#select the second top edge from face 2
#result => the attached picture pic1.png

# 2) case_2 (vmovedim)
# move created angle dimension

vtop
vmovedim dim1

# press ctrl and press new text position
#(vtop is to select point on angle plane by definition of the angle dimension)

vmovedim

# select the dimension (ctrl/MB1)
# press ctrl and press new text position
TagsNo tags attached.
Test case numberNot needed
Attached Filespng file icon pic1.png (9,880 bytes) 2012-03-01 18:33
jpg file icon position1.jpg (16,776 bytes) 2014-03-05 10:43
jpg file icon position2.jpg (17,248 bytes) 2014-03-05 10:43
jpg file icon position3.jpg (18,167 bytes) 2014-03-05 10:43

- Relationships
related to 0023159closedvro Community Draw commands vradiusdim and vdiameterdim on Linux don't work (crash) 

-  Notes
(0027850)
aba (developer)
2014-02-12 10:44

Dear Bugmaster,

this issue was fixed in the scope of the issue 0024412:
vangledim and vmovedim DRAW commands were corrected.

Please test it.
(0028143)
apn (administrator)
2014-03-05 10:42
edited on: 2014-03-05 10:42

Commands vangledim and vmovedim work properly (dimensions are moving and follow the mouse position).


- Issue History
Date Modified Username Field Change
2012-03-01 18:33 szy New Issue
2012-03-01 18:33 szy Assigned To => san
2012-03-01 18:33 szy File Added: pic1.png
2012-03-07 11:07 szy Status new => assigned
2012-10-21 17:22 abv Target Version 6.5.4 => 6.6.0
2013-03-02 10:36 abv Target Version 6.6.0 => 6.7.0
2013-11-06 16:06 kgv Relationship added related to 0023159
2013-11-29 18:40 san Assigned To san => aba
2013-11-29 18:41 san Relationship added related to 0024133
2013-12-21 10:13 abv Target Version 6.7.0 => 6.7.1
2014-02-11 18:39 aba Steps to Reproduce Updated View Revisions
2014-02-12 10:38 aba Relationship added related to 0024412
2014-02-12 10:44 aba Note Added: 0027850
2014-02-12 10:44 aba Assigned To aba => bugmaster
2014-02-12 10:44 aba Status assigned => feedback
2014-02-27 18:10 bugmaster Assigned To bugmaster => apn
2014-03-05 10:42 apn Note Added: 0028143
2014-03-05 10:42 apn Note Edited: 0028143 View Revisions
2014-03-05 10:43 apn File Added: position1.jpg
2014-03-05 10:43 apn File Added: position2.jpg
2014-03-05 10:43 apn File Added: position3.jpg
2014-03-05 10:44 apn Test case number => Not needed
2014-03-05 10:44 apn Assigned To apn => szy
2014-03-05 10:44 apn Status feedback => closed
2014-03-05 10:44 apn Resolution open => fixed
2014-03-05 10:44 apn Fixed in Version => 6.7.1


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker